## uae 0.8.29

=== debian/changelog ===
uae (0.8.29-7) unstable; urgency=low

  * [311f422] rules: Force ALSA for OS=linux only. (Closes: #571967) -
    thanks to Cyril Brulebois

 -- Stephan Sürken <absurd@debian.org>  Sun, 28 Feb 2010 19:28:34 +0100

uae (0.8.29-6) unstable; urgency=low

  * [7a68fee] rules/control: Explicitly compile sound '--with-alsa' (was
    'oss' per default)

 -- Stephan Sürken <absurd@debian.org>  Sun, 28 Feb 2010 16:32:41 +0100

uae (0.8.29-5) unstable; urgency=low

  * [f2ae4df] Update to "3.0 (quilt)"
  * [bcfeda2] rules: Install configs to /usr/share/uae; this will enable
    the preset list in the GUI.
  * [e46f193] Update to stds-ver 3.8.4 (no changes needed).
  * [10d65e5] Remove README.source (obsolete with 3.0 quilt).

 -- Stephan Sürken <absurd@debian.org>  Wed, 24 Feb 2010 17:23:05 +0100

uae (0.8.29-4) unstable; urgency=low

  * [87b09dd] rules: Remove useless header comments
  * [46bb408] Add a desktop file

 -- Stephan Sürken <absurd@debian.org>  Sat, 12 Sep 2009 14:48:23 +0200

uae (0.8.29-3) unstable; urgency=low

  * [4d8247f] rules+control: b-d on autotools-dev, and update
    config.guess|sub.
  * [62a3adf] control: Update to std-ver 3.8.3 (no changes needed).
  * [a51ac1c] Patch makefile_more_cleaning: Update to rm new forgoten
    "src/guidep" (rm from rules).
  * [98d5528] rules: Clean up readdisk renaming.

 -- Stephan Sürken <absurd@debian.org>  Thu, 27 Aug 2009 21:52:35 +0200

uae (0.8.29-2) unstable; urgency=low

  * [170f9ec] control: Fix: ue to UTF-8 'ü' in maintainer name to make
    it the same as what I use elsewhere.
  * [4da9f9b] Adding a watch file.
  * Update to debhelper 7 (sequences+overrides) greatly simplifying rules
    (git commits skipped).
  * [6c82ddc] control: Fix: Add misc:Depends for uae[-dbg].

 -- Stephan Sürken <absurd@debian.org>  Thu, 20 Aug 2009 20:34:51 +0000

uae (0.8.29-1) unstable; urgency=low

  * changelog+control: Fix/sync maintainer name.
  * Imported Upstream version 0.8.29
  * Remove bashism from uae-confwrap example.
  * Migrated to git: update Vcs fields in control.
  * Update std-ver to 3.8.2: Update -dbg pkg's section to contrib/debug.
  * rules: clean: remove "src/guidep", not cleaned properly by upstream.

 -- Stephan Sürken <absurd@debian.org>  Fri, 31 Jul 2009 09:58:24 +0000

uae (0.8.28-3) unstable; urgency=low

  * patches: Rename powerpc_rpt_available powerpc_machdep_init.
  * patches: ppc: Still ftbfs ppc. Afaics, the whole machdep_init is now
    obsoleted (like for arch i386), but forgotten to be updated for
    ppc: Commenting the whole code like for i386 (cant really test this).
  * copyright: Cosmetics.
  * Add a README.source.

 -- Stephan Suerken <absurd@debian.org>  Sat, 05 Jul 2008 13:14:51 +0000

uae (0.8.28-2) unstable; urgency=low

  * patches: Add patch powerpc_rpt_available.diff (proposed fix
    for FTBFS on powerpc).
  * Remove obsolete README-0.7.6 and README-UNIX-0.7.6 from docs.
  * Remove redundant debian/docs file.
  * Bump debhelper compat to 5 (no changes needed).
  * Add a -dbg package.
  * rules: Remove redundant --all from dh_* commands.
  * control/rules: Remove uneeded build-dep to autotools-dev, and remove
    the commented code fragments from rules.
  * rules: Don't ignore failures on "streifenfrei" (~=distclean).
  * rules: Also install example configs to docs.
  * Depend on x11proto-core-dev instead of obsoleted x-dev.
  * Depend on x11-utils instead of obsoleted xutils.
  * control: Update to standards version 3.8.0:
     - copyright: Add note for section contrib.
  * README.Debian: Fix name (was README.debian).
  * README.Debian: Clean up and add an updated "uae vs e-uae" section.

 -- Stephan Suerken <absurd@debian.org>  Sat, 28 Jun 2008 13:27:24 +0000

uae (0.8.28-1) unstable; urgency=low

  * rules: Fix bashisms (from 0.8.25-6ubuntu1).
  * New upstream: 0.8.28
    Obsolete patches removed for good:
     - close_window_hack (ui rewrite).
     - memory_leaks_in_gui (ui rewrite).
     - fix_save_config_fix (fixed upstream).
     - fix_static_declarations (no compilation issues noticed).
    Updated patches:
     - allow_spaces_in_zip_filenames.diff
     - makefile_more_cleaning.diff
     - struct_uae_wrong_fields_name.diff
     - uae_reset_args.diff
    Use of SDL gfx is now recommended:
     - rules: Configure with "--with-sdl-gfx".
     - control: Add Build-dep libsdl1.2-dev.
    [sdl sound still too unstable]
  * Removing unused/broken patch
    preserve_home_in_writing_optionsfile.diff for good.

 -- Stephan Suerken <absurd@debian.org>  Sun, 08 Jun 2008 18:26:42 +0000

uae (0.8.25-7) unstable; urgency=low

  * Update to standards version 3.7.3:
    * Fix menu entry from "Apps/Emulators" to "Applications/Emulators".
  * Add Homepage entry to control; remove from description (fixes lintian
    error).
  * copyright: Update and pimp style to recommendations; change to UTF-8
    using correct copyright char (fixes lintian warning).

 -- Stephan Suerken <absurd@debian.org>  Sat, 17 May 2008 18:01:13 +0000

uae (0.8.25-6) unstable; urgency=low

  * Moving pkg development to alioth, collab-maint.
  * control: Add Xs-Vcs-Svn and -Browser information.

 -- Stephan A Suerken <absurd@debian.org>  Sun, 05 Aug 2007 12:14:47 +0000

uae (0.8.25-5) unstable; urgency=medium

  * Remove workaround to build w/ gcc-4.0 (no longer in etch) on i386;
    the bug causing the workaround is fixed in (etch's) gcc 4.1.
    (Closes: #414755).

 -- Stephan A Suerken <absurd@debian.org>  Wed, 14 Mar 2007 18:55:39 +0000

uae (0.8.25-4) unstable; urgency=low

  * Update/fix uae-confwrap example script.
  * Disabling preserve_home_in_writing_optionsfile.diff patch - code
    srcpys randomly w/ possibly random effects. Thanks to Steve Langasek
    hints. Hopefully (closes: #393149).

 -- Stephan A Suerken <absurd@debian.org>  Fri,  3 Nov 2006 21:07:08 +0000

uae (0.8.25-3) unstable; urgency=low

  * README.debian: Change note, referring to new package e-uae in experimental.
  * Remove now obsolete "postinst" file.

