=== debian/control ===
Source: uae
Section: contrib/otherosfs
Priority: optional
Maintainer: Stephan Sürken <absurd@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev,
  libx11-dev, libxt-dev, libxext-dev, x11proto-core-dev, x11-utils, libgtk2.0-dev, libglib2.0-dev, libasound2-dev, libsdl1.2-dev
Homepage: http://uae.coresystems.de/
Vcs-Git: git://git.debian.org/git/collab-maint/uae.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/uae.git;a=summary

Package: uae
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Ubiquitous Amiga Emulator
 UAE is a 100% software Amiga (500) hardware emulator.
 .
 NOTE: For "proper" use of UAE, you need some version of the Kickstart
 ROM, and some OS running on top of this (most likely some version of
 the Amiga OS). Both don't comply to the DFSG (to say the least)
 and must be obtained from other sources. There is information in the
 package docs how to obtain these if you are owner of an Amiga box.
 .
 However, there is a minimal free build-in Kickstart replacement, and
 at least some demo disks are reported to run with it.

Package: uae-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Depends: uae (= ${binary:Version}), ${misc:Depends}
Description: The Ubiquitous Amiga Emulator (debugging)
 UAE is a 100% software Amiga (500) hardware emulator.
 .
 This package includes the symbols for debugging.
