=== debian/rules ===
#!/usr/bin/make -f

# Set some extra config options based on OS
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# ALSA: Force on linux based OSs only (see Bug #571967)
ifeq ($(DEB_HOST_ARCH_OS), linux)
EXTRA_CONFIG_OPTIONS = --with-alsa
endif

%:
	dh $@

override_dh_auto_configure:
	# config.*: Strapping would be a pita: it's an autoconf only
	# project, but only automake --add-missing would actually
	# update the most important config.* files. Also, getting a
	# clean tree back would involve hackery.
	# Chosing to update config.* files only.
	mv config.guess config.guess.orig
	mv config.sub config.sub.orig
	cp -a /usr/share/misc/config.sub .
	cp -a /usr/share/misc/config.guess .
	dh_auto_configure -- --with-x --enable-sound --enable-threads --with-sdl-gfx $(EXTRA_CONFIG_OPTIONS)

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) streifenfrei
	# config.*: Move orig files back so we get a clean tree back
	-mv config.guess.orig config.guess
	-mv config.sub.orig config.sub

override_dh_install:
	dh_install uae readdisk usr/bin
	mv ./debian/uae/usr/bin/readdisk ./debian/uae/usr/bin/uae_readdisk
	dh_installdirs /usr/share/uae/
	dh_install configs/ /usr/share/uae/
	tar czvf ./debian/uae/usr/share/uae/amiga.tar.gz amiga/
	dh_install debian/uae-menu.xpm debian/uae.xpm usr/share/pixmaps
	dh_install debian/uae.desktop /usr/share/applications

override_dh_installdocs:
	dh_installdocs docs/

override_dh_installman:
	dh_installman debian/man/uae_readdisk.1 debian/man/uae.1

override_dh_installexamples:
	dh_installexamples debian/uae-confwrap

override_dh_installchangelogs:
	dh_installchangelogs src/ChangeLog

override_dh_strip:
	dh_strip --dbg-package=uae-dbg
