=== debian/watch ===
version=3

http://www.amigaemulator.org/files/sources/develop/uae-(.*)\.tar\.bz2
