## uae 0.8.29-1

=== debian/control ===
Source: uae
Section: user/other
Priority: extra
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
Build-Depends: debhelper (>= 5), autotools-dev, libc6-dev, libasound2-dev, libfontconfig1-dev, libfreetype6-dev, libgtk2.0-dev
Standards-Version: 3.7.2

Package: uae
Architecture: armel
Depends: ${shlibs:Depends}
Description: UAE-core, the UAE Amiga Emulator
 UAE allows you to run most of the available Amiga software. It is a
 software emulation, meaning that no extra or special hardware is needed to do
 this. The hardware of an Amiga is emulated accurately, so that Amiga software
 is tricked into thinking it is running on the real thing, with your computer's
 display, keyboard, harddisk and mouse taking the parts of their emulated
 counterparts.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAADG1JREFUaN7Nmd2V4zquhT/N6gTgEOAQ6BDoEOQQ5BCkEKQQSiFYIZgh
 mCEUQjBC4H0g/VPd1X3OmZm71vjFy5ZEEMDGxiYE/4+f/nor/TgW/tc/4zgW
 VS30pZQrBZ2L9HMJ91LCvZTrZSwa+v89RyTEQn8v5SJFQl+kn4sIBUJReDqg
 UIZhKKXcCiGWeZ7/a850/x42Pss17DmmG0hgoKMPAIIT2LJjOcOt7fPQoSFw
 GYxuvSN+5H4ZOBxXck7df+LAv/7JzTHEQrwVUNxBOQMwD+/3OOaO++s/c5jn
 Edp/1z5j+UzWK+h/lo0/OhCUEoIWdCzEUmJIXMMBHJakfMQMOOsKyQOigTVB
 toHrhxBxIs51ELblzH6Vuq44+/MIQPmYIMyFWIqEvgSlxBDLf8WB2wfcZmOO
 KwhMeaxBFMgytygLqwfkLeRiE1uS5+9szhjBfKCmQUBHsHN7YASB+5y4fd4Z
 +v9GBuKldGuhW24MvXPRDnRmy1INS48A6gdMLoAhqtC2uGUnISQEEwXxumlP
 LNlBoMwbu6kHXynDjt0U6U7CKV/5u6z1hwys4BtIYDcNxFj/3fjk2q81cCoM
 YoASFNzslQXRtxqQB/wRX1lyu+bgeuE2THi44Xp5PSP9v5+BqJQyZMp4ogwd
 g27s1sItdCAQVcA3TpswDg4OIoK7oWIIYPnljGdDvEJqDAnnCm6vmhg+2Z0V
 8SNl6CgXKMP5P6DRvvySPvEjUY0gzpQj93Fjdx4Zw8o4OAJkD3XDltmykMMN
 DY6sBz4GwAUEumkESSBXyAuIoLJicvtq1M6Q1+4fOzAPVAdcMGD1AAyIr9zH
 TLfdmaVjjHVD4DhwPNeIXj+cdQOz+lvVGXoQpMJGnC0L53xnlD2LzS1K38Bm
 6/6ZAyFo6bWlX6CPwgPNuzUgnvi8XmoxLhvjILheERHydiCECDpDPnGeMqrO
 OIS6GHXdZa2s5O6kcOV8XriPuRZ6C1xLO4ezkM27v5+BeCnQt8jyoj0HZY95
 pMyJLTmnRYH4fHQYnI+P+bWWLwDs9xlr8Kr9ZeN2ASTQHTNzdFZTvBl1i6Da
 MuKw7X7rwI+fRdkczricGjK+QmS3fAILa3bOy0C5bcAGAmaOG+x3xu1qiFTb
 +6NyuyTcE6qKU9mqOwx8fkbmmJjy+FPBAW7PAPxtCKlQPi/y3PA7Zh8OdcvM
 dVgI/YDY2vSPN5v1OVV55A0zR7StFT7B9lQpkhEZsLwib+u/B+xhf8oDy7J0
 fw2h/l4ecPkZQrf+CGTM4DzB/VPZNuM0acO2MI8wtjp0vSJ2wMw5L0rKAmQg
 UD4VPHOanCE6ogEV2K1XvrXvDmnf/Y0+0PLevsDBNrAzbpkQhNiH2uodTpNz
 u83tZmNahJy9wWkhJa+wcdrmQSN0+8y21SjHPhIUzOx7+7Xf/zWEhmEoH3H7
 NoXHxbnMikjj8b1xuwhmlS5dI0Os2FYMcSfOF5bpTIxKdsXN2FKN5scsqMLp
 DNcPeUU727f2XZzDGcx+JZ3nH6JaPHz+Xtj1O4IG3HLFeRwgb8+IPQyaOeKO
 9BeW8xnEGcbY5MWApTOiUmHRQi0acDd256bLJT1YtOo+ybiDJf+9A/SlYAtI
 IlDlgIgTpEoFDZE4REQivh0h3hA/g+Un/LIZnitYhvkTtj0SlJydEAO4YVZh
 hcTGYDN4Apxuunyh7acHD1+/aWo/APoYy6XvXql8aOa3xrJsCXED2zCHQMYl
 IpKfBkRAohD7K57PyHDH1x2hKj38Ibm10aY3GnZjWZ0ydL+1D063/aYPbB7p
 lvha+DefwXYgSsqO6oTEWzOy4jgqgknP6XigD7Cc9nyMQmiIcX9QrIGtpM3p
 hyoCJ78xrW/Fao8eYCDWIJiL+1cY/fgSke8+eWnRTZiBWY14yk4fH+fgR/IE
 8cQ8VDb6GGtWLPtPwjA3pnJyNlT4lWm+2ZNHYOt+zUDpdy/6+kMKl6yIGUtW
 Bpy+Vn+Vyu4g3goZ+mFg2zb6ILjVOkKpHrmTM5yzMksChPIXEH7s7yxDWdeX
 Qn1KiWWDDcE8VC0iATR831iCMMYd5COEDyAAdSOECyGAb8dnbkQbOz1WsFwp
 VWam7AiJZIaL0zfSeGx47L/2qJzXn1koFPrb9/CxBSGjWmmtB8ah8bTDukmV
 yaHHRREUJyB+xiyjIk+p4VZrBIHj5ER1kinZA07gL6H8G4ndlSvlPUXfpXBZ
 IbmSUdxDpT6Be+w4rMJtAIl9o0PYttqNAYZREATPjjda3E+RIJnL2PD/F/Z/
 vt4dX/T/Y7fEChmAMP6Zh5/dheeMx11ePx4tpZfWgfpKlf6Q+MJ5dTAhx0/2
 m38P0QdMGnk8llfNTTUP5SHuumcDq60IlXqw6MUZ+1/V6M+tvjtHomzMgxCG
 a9VOvtXr4dJ0lOEO58nbiY0vUmFJzuaCWcTRWn9/OtTbAnnqGoSk/Ek+J6tz
 nc1rgePgvPUMS0SObSonDLFFU+p67rBszpYcbQOBDWqAovxW+3wXsJQqw21A
 3vwtA9/I5y8QsgSeEU2oZEalzkIfNbKBtk4ce33DrNShlS1sm+F4vVebwHuc
 5tpg67f2v9nfqBPLsnQdYS5CemKsRuZ3faA+n0wxBEdwj1ziRN9H3DNrElJS
 pB/QIORtwc24jpCzcV7g8+PPReoGa3qjdQ/1njC8HPIKoy4oJcv8PYXZgkiN
 OkD/qNc3wwlhiEbsZ8gr51Vg+KjX09YKPXMZqkDcHw2Jdadmoe7H4x87cK1R
 J+pGoA6PTYS8efcjG13QqeS8cB0ghoY5g9NWI51tBFEy/RcGEjtyHzO5or1B
 ptnMGxr7pxPyLglc6wxIAc+tCdacqu0JwdFHjbQiXyyS/ILlA+Z09fTY1U6c
 jQ6caaXUTSpBN3q12gndAG8FXSHkgGiVD+ovnFo2NILqg0UyloxNjL4XQoDL
 kIHdbyGEV3cOK5WZpCfaiWSHzt5L4V1KxBBKmGc4H+lDbVxTnpl8/LWIRMAN
 8WM7kMiXdm+2IZYrzOMM6/HL9fMmrH7/Y5HWDR5RyQTbCLc7nA4lJeuqKujY
 Hg5cZik+zBiB2zViOL0ZygK+kB2mBNlimz8oaE/wGj1vDIQrfVCSKlhGqLQr
 6l9anapDPjaVLLg46o5SJcbYv2g1uRJCZCPD5UY878u0ebel2o1/DH0seahT
 YSVjBITM7hwhXH6SuK2gJIEnonrrlpWRnjPotCH9DFsdw/t3gwN40SiKSY8B
 yWF66jWjzGfWJFWP2Yp9fMK2e00lVI1gmdlPDL5gaUOAuc91Ujx0zHRE3zfI
 UIeyXNn8NfYQfxSxI9IaXjuBRZG3InZyFrA35jFD7Ij4kcCOkR0zHYMc2rzK
 iJoZoqPrnnnU8hJzn6G8V0+yiHhCVdgt16+Y9IfkqH3j0qfKWo93AS24J7s8
 f3ua0JyJwel74TQ5QYUlP1RoW1vHX2qizEdyykjoUbHnXtyc3TF3rYjr6UmD
 sN9nRKxFUSjjjiXB5tSmRTXqegXglI7cQ25c/iKV+jsjHhACGnLt0FDnRsJz
 jSfP+4KQUIxeK2NNayRtYL7iwDwoMQgahGGoB5sfOcNxMlQEEUG1cnlQods+
 v0JX3gxKYtR6vNwdjPv17Y1M3hDPtalIeD66P9biHNSxfGwwi00FgzOSoZLG
 CqNOFUJBMYOU2hk50zLSJnPa5prm3jqeYLlOCWbpGNi9asDOLZNXVhPcHZFC
 dxo4LU53MLSxTx0x1reY9d1BlQVrCrhcaxYExE6IVfzP0nHvd5R+R5C1HgrN
 wSqE1s3IJgytm/9AR5xTHcDmqu9dAtk3urU0PZ9BMlGMILm9kZnquCUJt9vC
 6bTiFuijYeSHiCSaszAQdeV2HTkeF66zI3Tt+TpZzQ7mgcVgsgGkJ/q+9lB5
 vTJQ0Srz9ZvxOiLtzF0JsQw7UoY1NyMWSQSWtaY8+p7YgN9fPoieEIkcV0f6
 Gd8mcpy5XY216XsBDkuoUsKW59gkSGaUzDgCnHDgtCh9L6zJwB0zqYEOgXWt
 EuWHqiII4l7PrgC2oQjden+xUF5AE4GVnqlGQao8PhxWgsLqzjBEMH1NSQTW
 dSFtRg5CNuf+UaVEMn9Kk2yBici0ts7viV5OdQZV+30b01fazu311b/MDHer
 +G9yxFq+ah/Yce93zGFCMQxlotCtdw7r+8vsyvvnKaGxr3Kin3HPbKuRTasA
 F+immW69c8x3pjyTXVEx5jA9baodnw2wIqJt3J11STWAwP8Bt42jrZdTS6sA
 AAAASUVORK5CYII=
