=== src/Makefile ===
--- 
+++ 
@@ -3,27 +3,23 @@
 #
 
 
-CC        = arm-linux-gnueabi-gcc
+CC        = gcc
 WRC       = not-found
-CPP       = arm-linux-gnueabi-gcc -E
-LDFLAGS   = -Wl,-z,defs -L.
-CFLAGS    = -O2 -fomit-frame-pointer  -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes   -DUSING_GTK_GUI -I/home/smoku/Projects/uae-m/src/gui-gtk -DREGPARAM= -DUSE_ZFILE -DSUPPORT_THREADS -D_REENTRANT -D__inline__=inline \
-		-DSYSTEM_ROMDIR=\"$(datadir)/uae/roms\" \
-		-DSYSTEM_CFGDIR=\"$(datadir)/uae/configs\"
-X_CFLAGS  =  -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DSHM_SUPPORT_LINKS=1
+CPP       = gcc -E
+LDFLAGS   =  -L.
+CFLAGS    = -O2 -fomit-frame-pointer  -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes   -DGCCCONSTFUNC="__attribute__((const))" -DREGPARAM= -DUSE_ZFILE -DSUPPORT_THREADS -D_REENTRANT -D__inline__=inline
+X_CFLAGS  =  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -DSHM_SUPPORT_LINKS=1
 TARGET    = x11
-LIBRARIES =   -lSM -lICE -lXext -lX11   -lasound -lpthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+LIBRARIES =   -lSM -lICE -lXext -lX11   -lasound -lpthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
 MATHLIB   = -lm
 RESOBJS   = 
 
 NO_SCHED_CFLAGS = 
 
-INSTALL         = /scratchbox/tools/bin/install -c
-INSTALL_PROGRAM = ${INSTALL}
-INSTALL_DATA    = ${INSTALL} -m 644
-prefix          = /usr
-datarootdir     = ${prefix}/share
-datadir         = ${datarootdir}
+INSTALL         = @INSTALL@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_DATA    = @INSTALL_DATA@
+prefix          = /usr/local
 exec_prefix     = ${prefix}
 bindir          = ${exec_prefix}/bin
 libdir          = ${exec_prefix}/lib
@@ -37,18 +33,14 @@
 
 INCLUDES=-I. -I../src/include/
 
-OBJS =  main.o newcpu.o memory.o cpuemu.o custom.o cia.o serial.o blitter.o \
-	autoconf.o ersatz.o filesys.o hardfile.o keybuf.o expansion.o zfile.o \
-	fpp.o readcpu.o cpudefs.o gfxutil.o traps.o blitfunc.o blittable.o \
-	gayle.o rommgr.o disk.o audio.o drawing.o cpustbl.o inputdevice.o \
-	uaelib.o picasso96.o uaeexe.o bsdsocket.o bsdsocket-posix-new.o \
-	missing.o \
-	sd-sound.o od-joy.o md-support.o \
-	fsusage.o cfgfile.o native2amiga.o fsdb.o identify.o timemgr.o crc32.o \
-	savestate.o writelog.o \
-	hotkeys.o keymap/keymap.o keymap/x11pc_rawkeys.o \
-	sinctable.o \
-	 xwin.o x11keys.o  guidep/gtkui.o guidep/util.o debug.o scsi-none.o fsdb_unix.o
+OBJS = main.o newcpu.o memory.o cpuemu.o custom.o cia.o serial.o blitter.o \
+       autoconf.o ersatz.o filesys.o hardfile.o keybuf.o expansion.o zfile.o \
+       fpp.o readcpu.o cpudefs.o gfxutil.o gfxlib.o blitfunc.o blittable.o \
+       disk.o audio.o uaelib.o drawing.o picasso96.o cpustbl.o inputdevice.o \
+       uaeexe.o bsdsocket.o missing.o sd-sound.o od-joy.o md-support.o \
+       fsusage.o cfgfile.o native2amiga.o fsdb.o identify.o crc32.o \
+       savestate.o writelog.o hotkeys.o \
+        xwin.o x11keys.o gtkui.o debug.o scsi-none.o fsdb_unix.o
 
 
 all: $(TARGET)
@@ -94,11 +86,9 @@
 	-rm -f $(OBJS)
 
 streifenfrei: clean
-	$(MAKE) -C tools streifenfrei
 	-rm -f Makefile sysconfig.h
 	-rm -f od-joy.c md-X86.S sd-sound.c md-support.c
-	-rm -f machdep osdep threaddep sounddep target.h
-	-rm -f md-fpp.h
+	-rm -f machdep osdep threaddep sounddep target.h config.h
 
 blit.h: tools/genblitter
 	./tools/genblitter i >blit.h
@@ -157,12 +147,24 @@
 build68k.o: include/readcpu.h
 readcpu.o: include/readcpu.h
 
-cia.o: include/events.h
-custom.o: include/events.h blit.h
-newcpu.o: include/events.h
-audio.o: include/events.h
-disk.o: include/events.h
-blitter.o: include/events.h blit.h
+main.o: config.h
+cia.o: config.h include/events.h
+custom.o: config.h include/events.h blit.h
+newcpu.o: config.h include/events.h
+autoconf.o: config.h
+expansion.o: config.h
+xwin.o: config.h
+svga.o: config.h
+audio.o: config.h include/events.h
+memory.o: config.h
+debug.o: config.h
+identify.o: config.h
+fpp.o: config.h
+ersatz.o: config.h
+filesys.o: config.h
+execlib.o: config.h
+disk.o: config.h include/events.h
+blitter.o: config.h include/events.h blit.h
 
 # sam: this is for people with low memory. (is there a way do do this with a single rule ?)
 cpuemu1.o: cpuemu.c
