=== src/tools/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile.in for UAE tools
#


CC        = gcc
LDFLAGS   = 
CFLAGS    = -O2 -fomit-frame-pointer  -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes   -DGCCCONSTFUNC="__attribute__((const))" -DREGPARAM= -DUSE_ZFILE -DSUPPORT_THREADS -D_REENTRANT -D__inline__=inline -DUAE_CONSOLE
LIBRARIES = 

INSTALL         = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@
prefix          = /usr/local
exec_prefix     = ${prefix}
bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
sysconfdir      = ${prefix}/etc

VPATH = /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools

.SUFFIXES: .o .c .h .m .i .S

INCLUDES=-I. -I/home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../include/ -I/home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools

all: gencpu build68k genblitter cpuopti

install:


clean:
	-rm -f *.o
	-rm -f gencpu genblitter cpuopti build68k


streifenfrei: clean

genblitter: genblitter.o blitops.o writelog.o
	$(CC) $(LDFLAGS) -o genblitter genblitter.o blitops.o writelog.o
build68k: build68k.o writelog.o
	$(CC) $(LDFLAGS) -o build68k build68k.o writelog.o
cpuopti: cpuopti.o writelog.o
	$(CC) $(LDFLAGS) -o cpuopti cpuopti.o writelog.o
gencpu: gencpu.o readcpu.o cpudefs.o missing.o writelog.o
	$(CC) $(LDFLAGS) -o gencpu gencpu.o readcpu.o cpudefs.o missing.o writelog.o

custom.o: blit.h
drawing.o: linetoscr.c

cpudefs.c: build68k /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../table68k
	./build68k </home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../table68k >cpudefs.c

# Normally I'd move the programs into this directory, but given that CVS
# sucks I have no choice but to leave them in their previous directory.
missing.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../missing.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../missing.c -o $@
readcpu.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../readcpu.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../readcpu.c -o $@
writelog.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../writelog.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../writelog.c -o $@
genblitter.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../genblitter.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../genblitter.c -o $@
gencpu.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../gencpu.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../gencpu.c -o $@
build68k.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../build68k.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../build68k.c -o $@
blitops.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../blitops.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../blitops.c -o $@
cpuopti.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../cpuopti.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../cpuopti.c -o $@

.c.o:
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $(CFLAGS_$@) $< -o $@
.c.s:
	$(CC) $(INCLUDES) -S $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
.c.i:
	$(CC) $(INCLUDES) -E $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< > $@
