=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: user/other
 Priority: extra
 Maintainer: Tomasz Sterna <tomek@xiaoka.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libc6-dev, libasound2-dev, libfontconfig1-dev, libfreetype6-dev, libgtk2.0-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libc6-dev, libasound2-dev, libfontconfig1-dev, libfreetype6-dev, libgtk2.0-dev, libhildon1-dev
 Standards-Version: 3.7.2
 
 Package: uae
-Architecture: armel
+Architecture: any
 Depends: ${shlibs:Depends}
 Description: UAE-core, the UAE Amiga Emulator
  UAE allows you to run most of the available Amiga software. It is a
