=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,11 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-ui --with-alsa
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+		--prefix=/usr --mandir=\$${prefix}/share/man \
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" \
+		--enable-ui --enable-sound --with-x --with-alsa --enable-threads \
+		2>&1 | tee debian/configure.log
 
 
 build: build-stamp
@@ -36,8 +40,21 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
-	#docbook-to-man debian/uae.sgml > uae.1
+	@if ( grep --quiet "Configuration was successful" debian/configure.log || \
+		grep --quiet "There were 1 warnings. That is usually harmless" debian/configure.log ) && \
+		$(MAKE) ; \
+			then	echo && \
+						echo "Target $@ successfully build!" && \
+						echo ;\
+			else	echo && \
+						echo "Configuration or building for target $@ failed for your system setup!" && \
+						echo && \
+						echo "Either" && \
+						echo " 1. The source dependencies aren't met." &&\
+						echo " 2. This is a bug for arch $(DEB_HOST_ARCH). Please report." &&\
+						echo &&\
+						exit 1 ;\
+	fi
 
 	touch $@
 
@@ -54,7 +71,6 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-
 
 	dh_clean
